> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Report

Returns the Report object associated with the ID.

## Path Parameters

## Returns

Returns the Report object associated with the ID.

```bash cURL theme={null}
curl https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5 \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const report = await method.reports.retrieve('rpt_cj2mkA3hFyHT5');
```

```python Python theme={null}
report = method.reports.retrieve('rpt_cj2mkA3hFyHT5')
```

```json theme={null}
{
  "id": "rpt_cj2mkA3hFyHT5",
  "type": "payments.created.current",
  "url": "https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download",
  "status": "completed",
  "metadata": null,
  "created_at": "2021-08-25T23:18:05.261Z",
  "updated_at": "2021-08-25T23:18:05.261Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.